//    RW Scene
// ==============
// Scene & Layout Description Production Tools Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/action/scene.hpp
// -Declarations of the baseline RW Scene sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::action {

//------------------------------------------------------------------------------
/**
 */
class Scene_b : public RW {
 public:
  Scene_b();                                    // default ctor
  explicit Scene_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Scene : public Scene_b {
 public:
  Scene();                                    // default ctor
  explicit Scene(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::action

//    --=^=--

// "______"

// rw_action_lib.v220507
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
