//   RW Cognate
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./include/atashi/cognate/cognate_sb.hpp
// -Alias switchboard for the baseline RW Cognate sub-library

#pragma once

// clang-format off
namespace rw::atashi::cognate  { class Analogy; }
namespace rw::atashi::cognate  { class Analogy_b; }
namespace rw::atashi::cognate  { class Abstract; }
namespace rw::atashi::cognate  { class Abstract_b; }
namespace rw::atashi::cognate  { class Cognate; }
namespace rw::atashi::cognate  { class Cognate_b; }
namespace rw::atashi::cognate  { class Concept; }
namespace rw::atashi::cognate  { class Concept_b; }
namespace rw::atashi::cognate  { class Elucidate; }
namespace rw::atashi::cognate  { class Elucidate_b; }
namespace rw::atashi::cognate  { class Mimicry; }
namespace rw::atashi::cognate  { class Mimicry_b; }
namespace rw::atashi::cognate  { class Percept; }
namespace rw::atashi::cognate  { class Percept_b; }
// clang-format on
//
using rw::atashi::cognate::Abstract;
using rw::atashi::cognate::Abstract_b;
using rw::atashi::cognate::Analogy;
using rw::atashi::cognate::Analogy_b;
using rw::atashi::cognate::Cognate;
using rw::atashi::cognate::Cognate_b;
using rw::atashi::cognate::Concept;
using rw::atashi::cognate::Concept_b;
using rw::atashi::cognate::Elucidate;
using rw::atashi::cognate::Elucidate_b;
using rw::atashi::cognate::Mimicry;
using rw::atashi::cognate::Mimicry_b;
using rw::atashi::cognate::Percept;
using rw::atashi::cognate::Percept_b;

//    --=^=--

// "______"

// rw_atashi_lib.v220507
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
