//   RW Mimicry
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./include/atashi/cognate/mimicry.hpp
// -Declarations of the baseline RW Mimicry sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::atashi::cognate {

//------------------------------------------------------------------------------
/**
 */
class Mimicry_b : public RW {
 public:
  Mimicry_b();                                    // default ctor
  explicit Mimicry_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Mimicry : public Mimicry_b {
 public:
  Mimicry();                                    // default ctor
  explicit Mimicry(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::atashi::cognate

//    --=^=--

// "______"

// rw_atashi_lib.v220507
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
