//   RW Sempai
// ==============
// Robowaifu Advice, Mentoring, and Guidance Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/curator/sempai/sempai.hpp
// -Declarations of the baseline RW Sempai sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::curator::sempai {

//------------------------------------------------------------------------------
/**
 */
class Sempai_b : public RW {
 public:
  Sempai_b();                                    // default ctor
  explicit Sempai_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Sempai : public Sempai_b {
 public:
  Sempai();                                    // default ctor
  explicit Sempai(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::curator::sempai

//    --=^=--

// "______"

// rw_curator_lib.v220507
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
