//   RW Sysutils
// ================
// ______
// -The RW Foundational Libraries

// Filename: ./include/rw/util/util_sb.hpp
// -Alias switchboard of some baseline RW Sysutils libraries & features

#pragma once

// clang-format off
namespace rw::util   { class Dogfood; }
namespace rw::util   { class Dogfood_b; }
// clang-format on
//
using rw::util::Dogfood;
using rw::util::Dogfood_b;

//--------

#include "utility.hpp"

using rw::util::analyze_callgraph;
using rw::util::is_empty;
using rw::util::only_master_can;
using rw::util::parse_ib_uri;
using rw::util::prt_tag;
using rw::util::rw_error;
using rw::util::strmlines_2_vec;
using rw::util::to_lower;
using rw::util::trim_l;
using rw::util::trim_lr;
using rw::util::trim_r;

//    --=^=--

// "______"

// rw_curator_lib.v220507
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
