//  RW Artstory
// ==============
// Storyboarding Production Tools Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/artstory/artstory.cpp
// -Definitions of the baseline RW Artstory sub-library

#include "incls_all.hpp"

namespace rw::action {

//------------------------------------------------------------------------------
Artstory_b::Artstory_b() : Artstory_b{"artstory_b_obj"} {}

//------------------------------------------------------------------------------
Artstory_b::Artstory_b(std::string const& handle) : RW{handle, Type::Artstory} {
  stamp("Artstory_b()");
}

//------------------------------------------------------------------------------
Artstory::Artstory() : Artstory{"artstory_obj"} {}

//------------------------------------------------------------------------------
Artstory::Artstory(std::string const& handle) : Artstory_b{handle} {
  stamp("Artstory()");
}

}  // namespace rw::action

//    --=^=--

// "We witness Sumomo performing the wakey wakey exercises."

// rw_action_lib.v220507
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
