//   RW Cognate
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./src/atashi/cognate/cognate.cpp
// -Definitions of the baseline RW Cognate sub-library

#include "incls_all.hpp"

namespace rw::atashi::cognate {

//------------------------------------------------------------------------------
Cognate_b::Cognate_b() : Cognate_b{"cognate_b_obj"} {}

//------------------------------------------------------------------------------
Cognate_b::Cognate_b(std::string const& handle) : RW{handle, Type::Cognate} {
  stamp("Cognate_b()");
}

//------------------------------------------------------------------------------
Cognate::Cognate() : Cognate{"cognate_obj"} {}

//------------------------------------------------------------------------------
Cognate::Cognate(std::string const& handle) : Cognate_b{handle} {
  stamp("Cognate()");

  // preflight();
}

}  // namespace rw::atashi::cognate

//    --=^=--

// "______"

// rw_atashi_lib.v220507
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
