//    RW Scene
// ==============
// Scene & Layout Description Production Tools Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/scene/scene.cpp
// -Definitions of the baseline RW Scene sub-library

#include "incls_all.hpp"

namespace rw::action {

//------------------------------------------------------------------------------
Scene_b::Scene_b() : Scene_b{"scene_b_obj"} {}

//------------------------------------------------------------------------------
Scene_b::Scene_b(std::string const& handle) : RW{handle, Type::Scene} {
  stamp("Scene_b()");
}

//------------------------------------------------------------------------------
Scene::Scene() : Scene{"scene_obj"} {}

//------------------------------------------------------------------------------
Scene::Scene(std::string const& handle) : Scene_b{handle} {
  stamp("Scene()");
}

}  // namespace rw::action

//    --=^=--

// "______"

// rw_action_lib.v220507
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
