//    RW Hand
// ==============
// Robowaifu Hand Control & Manipulations Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/shell/hand/hand.cpp
// -Definitions of the baseline RW Hand sub-library

#include "incls_all.hpp"

namespace rw::shell::hand {

//------------------------------------------------------------------------------
Hand_b::Hand_b() : Hand_b{"hand_b_obj"} {}

//------------------------------------------------------------------------------
Hand_b::Hand_b(std::string const& handle) : RW{handle, Type::Hand} {
  stamp("Hand_b()");
}

//------------------------------------------------------------------------------
Hand::Hand() : Hand{"hand_obj"} {}

//------------------------------------------------------------------------------
Hand::Hand(std::string const& handle) : Hand_b{handle} {
  stamp("Hand()");
}

}  // namespace rw::shell::hand

//    --=^=--

// "______"

// rw_shell_lib.v220507
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
